import { FG_Plugin } from 'src/plugins';

export const innerRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Getränke',
    icon: 'mdi-glass-mug-variant',
    route: {
      path: 'drinks',
      name: 'drinks',
      redirect: { name: 'drinks-pricelist' },
    },
    permissions: ['user'],
    children: [
      {
        title: 'Preisliste',
        icon: 'mdi-cash-100',
        shortcut: true,
        permissions: ['user'],
        route: {
          path: 'pricelist',
          name: 'drinks-pricelist',
          component: () => import('../pages/InnerPricelist.vue'),
        },
      },
      {
        title: 'Rezepte',
        shortcut: false,
        icon: 'mdi-receipt',
        permissions: ['user'],
        route: {
          path: 'reciepts',
          name: 'reciepts',
          component: () => import('../pages/Receipts.vue'),
        },
      },
      {
        title: 'Cocktailbuilder',
        shortcut: false,
        icon: 'mdi-glass-cocktail',
        permissions: ['user'],
        route: {
          path: 'cocktail-builder',
          name: 'cocktail-builder',
          component: () => import('../pages/CocktailBuilder.vue'),
        },
      },
      {
        title: 'Einstellungen',
        icon: 'mdi-coffee-to-go',
        shortcut: false,
        permissions: ['drink_edit', 'drink_tag_edit'],
        route: {
          path: 'settings',
          name: 'drinks-settings',
          component: () => import('../pages/Settings.vue'),
        },
      },
    ],
  },
];

export const outerRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Preisliste',
    icon: 'mdi-glass-mug-variant',
    shortcut: true,
    route: {
      path: 'pricelist',
      name: 'outter-pricelist',
      component: () => import('../pages/OuterPricelist.vue'),
    },
  },
];
