import { Drink } from '../store';

function filter(
  rows: Array<Drink>,
  terms: Search,
  cols: Array<Col>,
  cellValue: { (col: Col, row: Drink): string }
) {
  if (terms.value) {
    return rows.filter((row) => {
      if (!terms.key || terms.key === '') {
        return cols.some((col) => {
          const val = cellValue(col, row) + '';
          const haystack = val === 'undefined' || val === 'null' ? '' : val.toLowerCase();
          return haystack.indexOf(terms.value) !== -1;
        });
      }
      const index = cols.findIndex((col) => col.name === terms.key);
      const val = cellValue(cols[index], row) + '';
      const haystack = val === 'undefined' || val === 'null' ? '' : val.toLowerCase();
      return haystack.indexOf(terms.value) !== -1;
    });
  }
  return rows;
}

interface Search {
  value: string;
  label: string | undefined;
  key: string | undefined;
}

interface Col {
  name: string;
  label: string;
  field: string;
}

export { filter, Search, Col };
